#ifndef CTN91XX_INTERRUPT_H
#define CTN91XX_INTERRUPT_H

#include "ctn91xx.h"

void cablecard_interrupt_handle(cablecard_interrupt_t* data, ctn91xx_dev_t* dev);

irqreturn_t ctn91xx_isr(int irq, void *ptr);
irqreturn_t cablecard_reg_isr(int irq, void *ptr);
irqreturn_t ctn91xx_timer_isr(int irq, void *ptr);
irqreturn_t i2c_isr(int irq, void *ptr);
irqreturn_t spit_isr(int irq, void *ptr);
irqreturn_t ctn91xx_mpeg_isr(int irq, void *ptr);
irqreturn_t drm_reg_isr(int irq, void *ptr);
irqreturn_t gpio_isr(int irq, void* ptr);
irqreturn_t scte21_isr(int irq, void* ptr);

#endif
